alternc (3.5.0~rc1) stable; urgency=low

  * AlternC 3.5 for Jessie & Stretch
  * added AlternC-ssl natively now, based on cert providers (external package)

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Sun, 24 Jun 2018 15:26:00 +0200

alternc (3.1.11) oldoldstable; urgency=low

  * fix This is a big security upgrade of AlternC 3.x
  * added CSRF token to all forms (as much as possible) to prevent cross-site attacks
  * added XSS protection to many form fields and views
  * migrated the DB abstraction layer from mysql_* functions to PDO
  * migrated the DB calls from addslases to prepared-queries or quotes
  * fix many unix rights issues (prevents a root escalation from alterncpanel!)
  * fix some little interface issues on forms

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Fri, 27 May 2016 10:36:00 +0200

alternc (3.3.10) stable; urgency=low

  * Version identical to 3.1 for Squeeze
  * Includes small patches / dependency for apache & dovecot 2.0 for Jessie

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Fri, 15 Jan 2016 15:26:00 +0100

alternc (3.2.10) oldstable; urgency=low

  * Version identical to 3.1 for Squeeze
  * Includes a small dovecot patch / dependency for dovecot 2.0 for Wheezy

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Fri, 15 Jan 2016 15:26:00 +0100

alternc (3.1.11) oldoldstable; urgency=low

  * fix This is a big security upgrade of AlternC 3.x
  * added CSRF token to all forms (as much as possible) to prevent cross-site attacks
  * added XSS protection to many form fields and views
  * migrated the DB abstraction layer from mysql_* functions to PDO
    (necessary for security, also adds PHP7.0 compatibility)
  * migrated the DB calls from addslases to prepared-queries or quotes
  * fix many unix rights issues (prevents a root escalation from alterncpanel!)
  * fix some little interface issues on forms
  * enh adding IP address to panel logs (PR #153)
  * enh adding X-Forwarded-Proto detection for SSL, not only HTTP_SSL from Apache
  * enh add a variable to enable IP check in the panel (broken), disabled by default
  * fix opendkim signing for mails submitted over the network
  * fix a LOT of bugs from Github: #128 #69 #116 #123 #126 #134 #139 #156 #173 #138
  * fix more BUGS from Github: #178 #159 #155 #176 #161 #162 #164 #165 #166 #170 #175 #177
  * enhanced message class, managed both logs to /var/log/alternc and LEVELS of messages

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Wed,  6 Nov 2017 15:36:00 +0100

alternc (3.1.10) oldoldstable; urgency=low

  * fix not showing dropdown when installing second domain in some case. #28
  * fix password autocomplete fix for Firefox (HoneypotField) #27
  * fix underscore not allowed in the middle of a domain name #26
  * fix Cname not ending with . is now an error #25
  * fix Show a warning when creating a non-working email (not pop, not alias) #18

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Fri, 15 Jan 2016 15:26:00 +0100

alternc (3.1.9) oldoldstable; urgency=low

  * fix missing GLOBALS in various places
  * fix non-installed default_spf_value and default_dmarc_value in variables
  * fix restarting opendkim at each domain in update_domains instead of only once in the end
  * fix the infinite loop of inotify_do_actions.sh
  * enh added a (protected) message saying a file is write-protected
  * fix a HTML graphical bug when uncompression a tar.gz file
  * fix crating /etc/opendkim/TrustedHosts BEFORE searching in it
  * enh refactoring of the code using netbeans IDE auto-formatting + manual smoothing of class code
  * fix phpmyadmin sso not working when /etc/apache2/conf.d/phpmyadmin.conf is enabled

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Mon, 17 Nov 2015 14:29:16 +0100

alternc (3.1.8) oldoldstable; urgency=low

  * fix non-working levensthein call for checkPolicy, fixed using preg_split instead

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Mon,  3 Aug 2015 15:53:16 +0200

alternc (3.1.7) oldoldstable; urgency=low

  * fix added autocomplete="off" to password fields (not login form)
  * enh better password policy 'no login in password' and the other way around
  * fix bad message in French when editing a mailbox
  * fix adding a CNAME without a final . is now an error (but not if really relative)
  * fix select folder (browseforfolder) not working in forms others than dom
  * fix don't allow CNAME + other record in DNS
  * fix added /run/alternc in open_basedir, fix ACTIONS not working
  * fix permission in browser not working
  * fix FTP access security UX
  * enh add DMARC and SPF management for gesmx & gesdns domains through variables
  * fix error message '1' for locked domains
  * enh sort added to quotas_users

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Thu, 16 Jun 2015 16:10:12 +0200

alternc (3.1.6) oldstable; urgency=low

  * add SSL and API alternc packages (Beta)
  * fix french translation misunderstanding
  * fix translation not working for strings that disappeared in the past
  * fix browseForFolder not working on domaines_type having a - in their name
  * fix SSL url-ssl template missing

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Thu, 12 May 2015 17:37:12 +0200

alternc (3.1.5) oldstable; urgency=low

  * fix alias changes not working in some cases
  * fix ;;; END ALTERNC zones bug also for older versions
  * fix manage remote NFS-based quota when *explicitely* stated in local.sh (QUOTA_NFS=y)
  * fix duplicate variables may be inserted when installing a fresh AlternC

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Wed, 29 Apr 2015 15:30:01 +0200

alternc (3.1.4) oldstable; urgency=low

  * ensure that values in sub_domaines are prefixed by / for hosting subdomains
  * adding enable_original_recipient=no to postfix
  * adding tail log view + order by DATE last files in logs
  * fix ;;; END ALTERNC zones bug
  * proposal (not enabled by default) of error.log per vhost
  * default message size limit to 100M, no mailbox size limit in postfix
  * fix removal of awstats-package crontab in favor of AlternC's one
  * fix unzip/untar/ungzip of files from the browser (double escapeshellarg)
  * fix catchall management (bugguy & crappy error messages)
  * fix #1646 transport sql is not using indexes

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Mon, 20 Apr 2015 18:00:12 +0200

alternc (3.1.3) oldstable; urgency=low

  * fix opendkim listening on *
  * fix a probable privilege escalation in cron management
  * fix a random number generation issue in PHP (rand automatically initialized by time(), not better!)
  * fix some shell_exec() or exec() not using escapeshellarg in PHP.
  * fix set a proper SSLCipherSuite, removes SSLv3 (poodle protection)
  * fix touching opendkim files in alternc.instal to prevent failure at install time

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Mon, 27 Nov 2014 11:17:12 +0100

alternc (3.1.2) oldstable; urgency=low

  * fix a bug when installing (doing patches from 3.1~rc)
  * #1622 fix a bug in debian/alternc.config : overwrote mysql sysusr password all the time
  * fix some (5) bugs in the file manager: permission, editor, file deletion... (commit c96f928 81aae4c beebd51)
  * #1573 fix dependencies on dovecot-managesieved
  * fix LASTLOGIN not working on Wheezy for Dovecot (commit d4d746b)
  * fix NOT migrating automatically from /var/alternc/* to /var/(www|mail)/* (commit 4749974)
  * fix quota issues migrating from courier to dovecot: quota was NULL, used was negative (commit 3487a95)
  * fix variable table structure change not needed for 3.1/3.2 + %%FQDN%% found in this table (commit dc367d6)
  * fix a bug when upgrading: mailname_bounce not defined early enough in variable table (commit 6043b37)
  * fix a roundcube bug at install time: not migrating "webmail" type properly (commit cf37cd3)
  * fix a bug in rebuild_all_conf doing nothing (commit 919d68e)

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Mon, 29 Sep 2014 17:44:12 +0200

alternc (3.1.1) oldstable; urgency=low

  * many bugfixed from 3.1 / 3.2 :
  * #1543 upgrade issues
  * #1521 awstats right issues
  * #1541 upload too big in browser doesn't show an error
  * #1546 error in delete_logs.sh cron
  * #1547 error with dkim during alternc.install
  * #1548 database creation
  * #1551 mysql account on remote server issue
  * #1552 error editing a file in the internal browser
  * #1560 roundcube login error
  * #1561 chown on ALTERNC_HTML
  * #1564 roundcube quota mail
  * #1565 no alternc-mailman package for wheezy
  * #1576 remove bad UNIQ index from mysql tables
  * #1580 mail: \n management in aliases
  * #1588 loosing custom DNS afterupgrade 3.0>3.1

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Fri, 28 Mar 2014 17:44:21 +0100

alternc (3.1) stable; urgency=low

  * feature: import of existing DNS zone
  * feature: display of current DNS zone in dom_edit
  * LXC-host module in AlternC client-side. alternc-lxc package is server-side
  * menu became dynamic with a class
  * /var/alternc disapear to become Debian-compliant
    but we upgrade properly, keeping an existing /var/alternc
  * fix detection of ACL using pre-depends
  * fix dovecot SSL certificate (was pointing to an non-existing file)
  * configure dovecot properly when using /etc/alternc/alternc.pem
  * 3.1 can be built for Squeeze or Wheezy
    with dovecot 1.2 or 2.0 although the 2 versions slightly differs
    as a result, 3.1 will be for Squeeze, and 3.2 the same one, for Wheezy
  * openDKIM now supported and automagically configured
  * autoconfig of emails using autoconfig.$domain vhost and xml/php scripts
    for Outlook & Thunderbird
  * fix (one more time) the translation system

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Thu, 18 Oct 2013 15:17:00 +0200

alternc (3.0) stable; urgency=low

  * RELEASE of AlternC 3.0
    Installation doc in French: http://alternc.org/wiki/Documentation/Fr/Administrateur/Installer-3.0
    More on AlternC 3.0 upgrade, installation instructions etc: http://www.alternc.com/
  * #1380 (double avertissement sur les quotas) closed by squidly
  * #1350 (Suppression preferences webmail a la suppression d'un compte mail) closed by axel
  * #1448 (ordre des mise à jour) closed by fufroma
  * #1262 (Upgrade script for procmail rules) closed by benjamin
  * #1446 (manque des écrasement de conf) closed by benjamin
  * #1445 (upgrade missing webmail) closed by benjamin
  * #1420 (Questions Debconf pas claires) closed by benjamin
  * #1019 (conflit entre la config de bind et /etc/resolv.conf) closed by benjamin
  * #1429 (templatisation local.sh) closed by benjamin
  * #1409 (Problème openbasedir altern-squirrelmail) closed by benjamin
  * #1375 (Problème ergonomie quota) closed by benjamin
  * #1259 (Tester la séparation db user/system) closed by benjamin
  * #1255 (List successfully created return a 550 in specific conditions) closed by benjamin
  * #1329 (alternc slavedns utilise un fichier flag, un nouveau champ dans la bdd ...) closed by benjamin
  * #1447 (Droits de l'utilisateur SQL) closed by fufroma
  * #1444 (/etc/alternc/bureau.conf lors d'une maj) closed by fufroma
  * #1437 (Modif de checkpolicy) closed by benjamin
  * #1382 (update_domains trop long) closed by fufroma
  * #1443 (Questions debian) closed by fufroma
  * #1418 (Notices PHP sur le bureau) closed by fufroma
  * #1440 (config_real.php encore utilisé ?) closed by fufroma
  * #1442 (Langue Dutch (Netherlands) manquante) closed by fufroma
  * #1441 (Finitions TNG) closed by fufroma
  * #1439 (Mysql restore dans le cas de serveurs MySQL utilisateur distinct du ...) closed by squidly
  * #1434 (erreur dans les scripts) closed by squidly
  * #1389 (test migration ALternc 0.9.8 vers 3.0~RC1) closed by squidly
  * #1435 (Alternc-mailman) closed by fufroma
  * #1425 (Alternc-mailman) closed by squidly
  * #1424 (Alias mailman) closed by squidly
  * #1430 (Erreur à l'install alternc) closed by squidly
  * #1383 (Erreurs à l'upgrade) closed by squidly
  * #1432 (Impossible d'ajout un host ipv6) closed by fufroma
  * #1433 (Création d'un host multi-ip) closed by fufroma
  * #1410 (problème quotas mail après migration 1.0 => 3.0 rc2) closed by squidly
  * #1423 (page blanche réaction compte ftp) closed by fufroma
  * #1426 (module ftp) closed by fufroma
  * #1427 (Scrollbar horizontale à l'édition d'un domaine) closed by fufroma

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Fri,  8 Feb 2013 17:09:00 +0100

alternc (3.0~rc3) unstable; urgency=low

  * 3.0~rc3 release, fixing the following :
  * #1422 Dovecot: Bug si quota Trash:storage<24M, nahuel
  * #1412 Probleme avec les quotas (VM Xen), axel
  * #1403 Confirmation lors de la désactivation des mails d'un domaine, axel
  * #1404 Erreurs en wheezy lors de alternc.install, axel
  * #1400 Alternc slavedns ne s'installe pas, axel
  * #1414 erreur spoolsize.php, axel
  * #1413 Récupération de mails à l'installation d'AlternC - dovecot, axel
  * #1416 buildstatic.sh produit une erreur, axel
  * #1417 problème lors de la génération des stats, axel
  * #1415 erreur de scripts compress_logs.sh et delete_logs.sh, axel
  * #1369 Faire la conf de roundcube managesieved + password, axel
  * #1405 forcer les minuscules dans local.sh, axel
  * #1407 Problème deploiement alternc-sudoers, axel
  * #1406 Problème installation dovecot, axel
  * #1401 Controle d'accès pas clair, axel
  * #1398 Quotas pas ergonomique, axel
  * #1399 Traduction de la date, axel
  * #1337 alternc-slavedns depends on sh features, fufroma
  * #1411 Navigateur fichier fonctionne mal, fufroma
  * #1402 Choix du répertoire lors de création de compte FTP, fufroma
  * #1331 alternc-slavedns erreur de configuration a l'install, axel
  * #1341 Problème longueur login user MySQL, axel
  * #1395 2 dbusers avec le même name, squidly
  * #1392 Mauvais message à la création d'un utilisateur MySQL, squidly
  * #1393 Gestion quotas disques, squidly
  * #1394 "_" interdit dans les noms de domaines, fufroma

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Mon, 28 Jan 2013 11:20:47 +0100

alternc (3.0~rc2) unstable; urgency=low

  * 3.0~rc2 release, fixing the following :
  * #1071 remove email storage stats cache on email removal - closed by squidly
  * #1325 install on LXC : if no ACL, install CRASHES without explanation
  closed by axel
  * #1327 Probleme dependance alternc et modules - closed by axel
  * #1334 alternc-roundcube - closed by axel
  * #1336 Alternc-munin opérationnel pour 3.0 - closed by axel
  * #1339 bonne suppression des DNS à la suppression d'un compte
  closed by squidly
  * #1343 Affichage listing de mails - closed by squidly
  * #1344 Notice PHP - closed by fufroma
  * #1345 Postfix service submission - closed by squidly
  * #1346 AlternC-Awstats lance alternc.install - closed by axel
  * #1348 Problème creation membre avec installation de sous domaine
  closed by fufroma
  * #1349 Alternc-roundcube changement password fail - closed by axel
  * #1354 Bug liste blanche IP - closed by fufroma
  * #1355 Affichage informations de configuration mail - closed by fufroma
  * #1357 Ergonomie Alternc-Awstats + champs password à confirmer
  closed by axel
  * #1358 Creation d'un routine de génération de mot de passe - closed by axel
  * #1359 Creation CatchAll - closed by axel
  * #1360 Taille négative - closed by axel
  * #1361 dépendance quotas - closed by squidly
  * #1362 Un administrateur ne peut voir la page /adm_list.php?show=all
  closed by fufroma
  * #1363 Cron d'alternc ne lance pas les crons utilisateurs - closed by axel
  * #1365 creation fichier log - closed by squidly
  * #1366 Inverser les "serveurs" phpmyadmin - closed by fufroma
  * #1367 "Installer le domaine login.hosting_tld.tld" ne fonctionne pas
  closed by fufroma
  * #1368 adm_edit.php avec domaine inexistant - closed by axel
  * #1370 Traduction manquante : "quota_web" - closed by fufroma
  * #1371 Valeur par défaut incorrecte pour le quota_web - closed by axel
  * #1372 dpkg: mauvaise syntaxe de la version « 0.9.1_migrationldap » :
  caractère ... - closed by squidly
  * #1373 Footer absent sur login.php - closed by fufroma
  * #1374 mail_list.php : Le formulaire de recherche n'est plus affiché
  si aucun ... - closed by axel
  * #1376 Bug lors de l'édition d'un sous domaine - closed by fufroma
  * #1378 Bug choix du webmail page de login - closed by axel
  * #1379 Dépendance sur dovecot-imapd casse la mise à jour - closed by squidly
  * #1381 erreur sur /usr/lib/alternc/fixperms.sh - closed by axel
  * #1385 Template d'apache pour roundcube ne se met pas a jour
  closed by axel
  * #1386 Policy Password bug - closed by squidly
  * #1387 Ajout de sous-domaines, messages erreur non explicite
  closed by squidly
  * #1390 AlternC roundcube et Roundcube se se melangent les pinceaux
  a l'install - closed by axel
  * #1391 alternc : Dépend: dovecot-imapd mais ne sera pas installé
  closed by benjamin

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Fri,  7 Dec 2012 18:14:17 +0100

alternc (3.0~rc1) unstable; urgency=low

  [ Alan Garcia (fufroma) ]
  * Halloween skin for the desktop

  [ Benjamin Sonntag ]
  * 3.0~rc1 release, change the release to 'unstable' so that
  http://debian.alternc.org/ have the packages in the right distribution.

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Wed, 31 Oct 2012 11:34:37 +0100

alternc (1.1+nmu6) stable; urgency=low

  * Squirrelmail plugin is now fully functionnal, including the changepass
  and filter plugins. it's using a specific MySQL account to change
  the password.
  * Roundcube plugin now exists, to be tested!

 -- Benjamin Sonntag <benjamin@sonntag.fr>  Tue, 16 Oct 2012 17:25:07 +0200

alternc (1.1+nmu5) stable; urgency=low

  * Modification in alternc package config script.
    * Order of questions changed
    * Check the public IP address according to RFC 1918
    * checking SQL connectivity ( different procedure for local
  and remote server )

 -- squidly <squidly@nnx.com>  Tue, 19 Sep 2012 13:47:47 +0200

alternc (1.1+nmu4) stable; urgency=low

  * SQL Modification
    * MySQL tables used for Alternc users databases modified (mysql.sql)
    * Adding a special phpmyadmin user.
    * Users can now create databases en databases users independently
  ( no need to create a first database to create a user anymore)
  * Bugfixes in installation process
  * Kick off register_globals

 -- squidly <squidly@nnx.com>  Tue, 14 Aug 2012 11:21:14 +0200

alternc (1.1+nmu3) stable; urgency=low

  * Templating full configuration of postfix & dovecot
  * bugfixes in mysql database configuration
  * adding default quota (to use with dovecot) in local mailbox creation

 -- Squidly <squidly@nnx.com>  Wed, 02 May 2012 14:51:49 +0200

alternc (1.1+nmu2) stable; urgency=low

  * Templating of dovecot and postfix
  adding a view for dovecot usage (dovecot_view)
  adding of user vmail dedicated to the mail system
  * Bugfixes

 -- Squidly <squidly@nnx.com>  Sat, 03 Mar 2012 13:09:06 +0100

alternc (1.1+nmu1) stable; urgency=low

  * Dev in progres.
  * New class: m_export allowing account exporting given it's iud and a path:
  http://www.alternc.org/wiki/AlterncExport
  * Adding script export_account.php usind the above class to export
  an account.
  * Bugfixes: quota's scripts udpated ( mostly concerning LVM partitions),
  and lots of others (permissions, browser ...)

 -- Lerider Steven <squidly@nnx.com>  Tue, 28 Feb 2012 14:57:48 +0100

alternc (1.1) stable; urgency=low
  * Dev in progress
  * New class : access security. Allow to restrict some function to specific
  IP or subnet
  * Access security management on the ftp account.

 -- Alan Garcia <fufroma@mailfr.com>  Wed, 25 May 2011 09:24:30 +0200

alternc (1.0.3) stable; urgency=high
  * Bugfix : the 'connect' button in the list of installed domains didn't work

 -- Benjamin Sonntag <benjamin@alternc.org>  Wed, 12 Oct 2011 18:00:00 +0200

alternc (1.0.2) stable; urgency=high
  * Bugfix : dependency on gamin OR fam : gamin is better for courier-imap
  and fam makes sasl imap auth fail
  * Bugfix : adding french messages for domain new error messages
  * Bugfix : Fixing domaines types templates issues
  (incompatibility with pre 1.0 alternc)

 -- Benjamin Sonntag <benjamin@alternc.org>  Thu, 11 Oct 2011 10:17:00 +0200

alternc (1.0.1) stable; urgency=high
  * Bugfix : upgrades from 0.* to 1.0 was not working for MX fields, Fixed.

 -- Benjamin Sonntag <benjamin@alternc.org>  Thu, 14 Jun 2011 17:59:50 +0200

alternc (1.0) stable; urgency=low
  * Major patch
    * Web & DNS file generation rebuild from scratch
    * Drop of apache 1 support
    * Big changes in database schema (domaines, sub_domaines, *_standby
  removal)
  * Major changes
    * Drop mass virtual hosting, now use full vhost
    * Panel URL do not need anymore /admin/ (but you can still use it,
  we put a 301 redirect)
    * JQuery is now used by AlternC (but not needed for any usual feature
  usage)
  * New features
    * Domains type are dynamic, the administrator can create domaine type
  with his own apache template
    * Advanced DNS options (ipv6, cname, txt, mx)
    * Possibility to create a temporary mail (not yet shown, need cron)
    * Admin can connect to other account and go back to their own
    * Language link is back inside the menu
    * MX and secondary MX are now available in debconf
  * Bugfixes
    * Too many to be listed (we change the historic update_domaines.sh)
    * Dash compatibility
    * Use iana.org to have whois server list up to date
    * Preseeding compatibility : don't ask for questions when already set

 -- Benjamin Sonntag <benjamin@alternc.org>  Sat, 04 June 2011 10:15:30 +0200

alternc (1.0~rc1) stable; urgency=low

  * Major patch
    * Blue desktop using only css, no frameset etc
    * Sanitizing of get/request/post parameters using getFields function.
  May allow alternc not to use register_globals some day ...
  * security: passwords are now MANDATORY in MySQL class (whoosh...)
  * security: now using htmlspecialchars on every form default values ...
  * i18n: charset is now variable depending on the current language
  * new features:
    * removed the dependency on postgrey, added dnsutils (for domain checks)
    * added domain check (exists, ns, mx, ip) when listing domains in
  admin panel.
  * bugfixes:
    * fix a "already exist" error when creating a database containing
  an hyphen (-)
    * #1163: fix sqlbackup script call routine to retain backwards
      compatibility
    * fix usage of ISO8859-15 charset (that may NOT be defined in locales...)
  and add it to the correct url (%%fqdn_lettre%%...)
  * major changes:
    * PHP sessions are now stored in /var/alternc/sessions
  * new features:
    * add support for .cc and .re domains.
    * when adding a new domain to an account, a directory "examplenet"
      is automatically created and the domain points to it instead of /.
    * add new field to member form: 'notes' which is just a text field
    * send an email on new account creation. the actual email needs to be
      configured through the AlternC variables for this to work.
    * added the password policy management module : you can choose which
      password complexity you want to force for each place a password
  is required.
  * API changes
    * m_mysql->get_db_list() doesn't include size anymore because this
  is a major performance hit on MySQL < 5.1.22 if there are > 1000
  databases on the system. This speeds up the AlternC login by about
  30 seconds on Koumbit.org.

 -- Benjamin Sonntag <benjamin@alternc.org>  Sat, 12 May 2009 17:55:30 +0200

alternc (0.9.9) stable; urgency=low

  * bugfixes:
    * #1080: fix webmail redirection
    * #1128, #1110: translation fixes
    * fix WHOIS lookups for .ca, .com and .net
    * fix ProFTPd TLS/SSL mode
    * #708: remove '-' from the list of authorized usernames
    * put the logout button at the end of the left menu
    * #1124: fix database user configuration
    * FTP/TLS is now working properly (config is RSA not DSA, and key AND
  certif config must be BOTH populated)
    * #1029: do not overwrite the main.cf from postfix
    * #1129: remove 2GB quota limit
    * #1017: fix apache2 configuration
    * #1078: run upgrade scripts properly
  * new features:
    * start logging IP addresses in logs
    * rework the sqlbackup script to allow for date-based backups instead of
      log-like incremental backups
    * #1131: allow admins to make all list URLs be based on the FQDN
    * #1087: allow admins to create user subdomains according to hardcoded
      value or available domains
    * make a new alternc-slave package that eases installation on NFS-backed
      frontend nodes
    * builtin postgrey and Spamhaus blacklisting configuration
    * #1017: complete apache2 support, although apache1 is still the "official"
      platform for now
    * FTP+SSL support
  * other changes:
    * deprecate the mynetwork modification in Postfix, this is now left to the
      admin
    * do not overwrite main.cf
    * do not overwrite named.conf

 -- Antoine Beaupré <anarcat@koumbit.org>  Tue, 15 Apr 2008 11:52:56 -0400

alternc (0.9.8) stable; urgency=high

  This release is packed with minor enhancements and bugfixes. It also packages
  security fixes. Not all targets of the milestone were accomplished but this
  was released nevertheless because of the security issue.

  * security:
    * move mysql configuration into a valid MySQL configuration file
      (/etc/alternc/my.cnf). This fixes a serious security issue (#318)
      where the MySQL root password was passed on the commandline and could
      therefore be visible to local users (and hosted members that don't have
      safe_mode controls or can access the process table in some way).
    * disable the autocomplete on frontal user/login
  * various bugfixes
    * upgrade to Debian standard 3.7.3 (from 3.7.2.1)
    * added missing dependency on mysql-client
    * fix display of errors on directory creation
    * from Trac: #1012, #1082, #1077, #1109
    * fix 0.9.7 regressions: #1079, #1080, #1099, #1076
  * new features:
    * starting with this release, the old warning signal defaults to "YES"
  which means that AlternC can be automatically installed without
  preseeding.
    * crude implementation of a permission change interface in the file browser
      (partial implementation of #267)
    * standardisation of the web interface, along with some esthetic changes,
  by Marc Angles, sponsored by Koumbit (partial implementation of #37)
    * styles can now be changed locally in admin/styles/custom.css
    * allow arbitrary error strings in error handlers
    * copy and archive extraction in the file browser (#1043)
    * display at which time the DNS changes will take effect (#231)
    * use timestamp for sql backups rather than rotating the files (#1063)
    * other simple additions: #1043, #1097

 -- Antoine Beaupré <anarcat@koumbit.org>  Thu, 10 Apr 2008 13:56:22 -0400

alternc (0.9.7) stable; urgency=low

  * major release, closing more than 40 bugs, including...
  * Fixing MX check when hosting a mail (#1706)
  * Delete the zonefile properly when destroying a domain (#772)
  * Choose english as default language, (#1047)
  * Proper parameter checking in subdomain creation (#1037)
  * Changing ownership of /var/alternc/tmp, makes file upload work again
  (#1058)
  * Force the restart of apache & apache-ssl (#1000)
  * Redirect are now done on http://$url$1 base, not $url/$1 (#1054)
  * Patch to install properly apache and apache-ssl modules
  * We copy /etc/squirrelmail/default_pref content for new accounts
  in _createpop (#1015)
  * we configure postfix even if main.cf don't currently exist (#1009)
  * Fixed the 'view' link issues (no urlencode) (#690)
  * Change "move" to "move to" (ergonomic) (#787)
  * Confirm file deletion in the browser (#659)
  * fix dns install of internal hosting domains (#1056)
  * fix proftpd and saslauthd configuration for Etch (#1046, #1069)
  * fix .eu, .be, .name whois issue (#571)
  * change apache log format to a working one (using host request),
  also fix awstats issues.
  * fix modules manipulation rules (#1062)
  * try to support apache2, at least with the right dependencies
  * end explicit mysql-server dependencies, which switches to Recommends,
  since we can now configure remote mysql servers properly (#1014)
  * fix our phpmyadmin config for etch (#1052)
  * add portuguese translation
  * see subversion changelog for more details

 -- Antoine Beaupré <anarcat@koumbit.org>  Fri,  9 Nov 2007 18:40:50 -0500

alternc (0.9.6.3) stable; urgency=low

  * change dependency on courier-authmysql or courier-authlib-mysql for etch
  * fix sql backups in case of missing target directory
  * fix translations
  * php5 compatibility
  * fix checkmx (#1031)
  * etch support

 -- Antoine Beaupré <anarcat@koumbit.org>  Fri, 11 May 2007 01:18:08 +0000

alternc (0.9.6.2) stable; urgency=high

  * repackage 0.9.6.1 properly: include all latest fixes, which didn't make it
  to the package
  * don't put postfix in pre-depends
  * urgency=high because 0.9.6.1 doesn't include all the security fixes it
  pretends

 -- Antoine Beaupré <anarcat@koumbit.org>  Wed, 17 Jan 2007 15:58:39 -0500

alternc (0.9.6.1) stable; urgency=high

  * Emergency release to fix issues with release 0.9.6.
  * Fix a security issue with override_php.conf not being configured
  in apache, effectively disabling open_basedir restrictions.
  Closes: #1005
  * Show installation warning only once. Closes: #737
  * Make it possible to erase files and directories in file browser.
  Closes: #1002.
  * Fix mail accounts creation. Closes: #1003.
  * Fix a race condition in update_domains.sh which could allow users to
  bypass openbasedir protection when creating domains. Reported by
  Jerome Moinet.

 -- Antoine Beaupré <anarcat@koumbit.org>  Fri, 12 Jan 2007 15:59:42 -0500

alternc (0.9.6) stable; urgency=high

  * Replacing C setuid scripts by perl-suid one. AlternC is now arch-indep !
  * Do not overwrite httpd.conf anymore. Everything is now done
  through includes in the /etc/apache/conf.d/ directory
  * Fix security issues with file browser and domain management
  that allowed an attacker to inspect the filesystem, create
  files in other accounts and perform cross site scripting
  javascript attacks. Credit: thabob.
  * #563: do not overwrite php.ini anymore. Everything is configured in the
  apache config.
  * All other bugs are postponed to 0.9.7 because of the security issue (hence
  urgency=high). See https://dev.alternc.org/trac/alternc/milestone/0.9.6
  for more information.

 -- Antoine Beaupré <anarcat@koumbit.org>  Mon, 27 Nov 2006 21:26:32 +0000

alternc (0.9.5) stable; urgency=low

  * maintenance release to fix packaging and security bugs
  * see https://dev.alternc.org/trac/alternc/milestone/0.9.5 for milestone
  * changelog at https://alternc.org/trac/alternc/query?status=closed&milestone=0.9.5
  However, this version contains mainly :
  * quota management fixes
  * bind now forbid recursion and domain poisoning
  * now using po-debconf
  * mysql right management now included in the web desktop.
  * .eu tld domain is now allowed.
  * postfix is now using saslauthd with rimap for smtp sasl authentication

 -- Benjamin Sonntag <benjamin@alternc.org>  Thu,  4 May 2006 03:55:30 +0200

alternc (0.9.4) stable; urgency=low

  * maintenance release to fix packaging and security bugs
  * see https://dev.alternc.org/trac/alternc/milestone/0.9.4 for milestone
  * changelog at https://alternc.org/trac/alternc/query?status=closed&milestone=0.9.4
  However, this version contains mainly :
  * Integration of Globenet patchs (replacement of do_domains.sh by
  update_domains.sh and others)
  * Changing mysql database creation from uid to login name
  * Major improvements in FHS compliance
  * Major improvements in config file management and debconf idempotency

 -- Benjamin Sonntag <benjamin@alternc.org>  Wed, 29 Mar 2006 19:34:41 +0200

alternc (0.9.3.1) testing; urgency=low

  * maintenance release to fix packaging and security bugs
  * see http://mantis.alternc.org/view.php?id=436 for milestones
  * full changelog at: http://mantis.alternc.org/changelog_page.php
  * Arch: all to have this package available in all architectures
  * take over maintainership
  * release sponsored by Koumbit.net

 -- Antoine Beaupre <anarcat@koumbit.org>  Thu, 19 Jan 2006 20:48:45 +0000

alternc (0.9.3.9-globenet10) stable; urgency=low

  * Fix typo in sqlbackup.sh.
  * Another fix for empty host in update_domains.sh.
  * Fix database name spliting in the bureau.
  * Fix zone reload and php overrides bugs in update_domains.sh.
  * Don't try to generate php override file for IP hosts.
  * Redirect apache reload output to the log file in update_domains.sh.
  * Fix sendmail wrapper behaviour w.r.t. Sender header.
  * Correct Section and Maintainer field for the Debian package.

 -- Lunar <lunar@anargeek.net>  Sat, 15 Oct 2005 02:43:37 +0200

alternc (0.9.3.9-globenet9) unstable; urgency=low

  * Fix deletion of empty host in update_domains.sh.
  * Fix DNS zone serial generation.

 -- Lunar <lunar@anargeek.net>  Thu, 22 Sep 2005 00:26:15 +0200

alternc (0.9.3.9-globenet8) unstable; urgency=low

  * Finally fix empty host handling in update_domains.sh.

 -- Lunar <lunar@anargeek.net>  Wed, 21 Sep 2005 23:45:06 +0200

alternc (0.9.3.9-globenet7) unstable; urgency=low

  * Fix menulist.txt symlink target.

 -- Lunar <lunar@anargeek.net>  Wed, 21 Sep 2005 21:26:02 +0200

alternc (0.9.3.9-globenet6) unstable; urgency=low

  * Create menulist.txt symbolic link in debian/rules
  * Make menulist.txt migration more likely to happen

 -- Lunar <lunar@anargeek.net>  Wed, 21 Sep 2005 21:08:08 +0200

alternc (0.9.3.9-globenet5) unstable; urgency=low

  * Rewrite sqlbackup.sh, enabling non-local MySQL server
  * allow mysql users connection from the web server (jonathan)
  * Move menulist.txt to /etc/alternc
  * Fix update_domains.sh not working with empty hostnames

 -- Lunar <lunar@anargeek.net>  Wed, 21 Sep 2005 19:57:59 +0200

alternc (0.9.3.9-globenet4) unstable; urgency=low

  * named.template now points to the correct directory..

 -- Lunar <lunar@anargeek.net>  Thu, 15 Sep 2005 00:00:37 +0200

alternc (0.9.3.9-globenet3) unstable; urgency=low

  * Fix mail not sent from PHP scripts
  * Actually exit update_domains.sh when killed
  * Fix templates warning
  * Fix reverse DNS test for BIND_INTERNAL

 -- Lunar <lunar@anargeek.net>  Wed, 14 Sep 2005 23:54:23 +0200

alternc (0.9.3.9-globenet2) unstable; urgency=low

  * Fix alternc.install failling when unable to backup an unecessary file.

 -- Lunar <lunar@anargeek.net>  Tue,  6 Sep 2005 23:18:56 +0200

alternc (0.9.3.9-globenet1) unstable; urgency=low

  * Major overhaul of configuration and install system:
      - /etc/alternc/alternc.conf is no more and /etc/alternc/local.sh
        is used by everyone else.
      - alternc.install was rewritten.
      - configuration templates now lies in /etc/alternc/templates,
        tagged as conffiles.
      - alternc.install will now check if you have changed a configuration
        file without modifying the template and calling alternc.install
        again.
      - alternc.install now determines which configuration files it needs
        based on what is currently installed, thus it's easier to build
        custom Debian package with lower deps.
  * BIND interaction mostly rewritten:
      - do_domaines.sh is no more and replaced by update_domains.sh
      - templates used to build automatic.conf and zone files are now in
        /etc/bind/templates once installed
      - automatic.conf and slaveip.conf are now generated in /var/alternc/bind
      - zone files are now generated in /var/alternc/bind/zones.
      - the secondary feature and /usr/lib/alternc/bind2 are gone
  * Small things:
      - Striped the second reject_unauth_destination from postfix main.cf.
      - Fixed debconf dependency.
      - Add support for quota on NFS partitions.
      - Disk usage calculation disabled for directories in browser.
      - bind_internal is now used in named.conf template.
      - Fixed phpmyadmin server list bug.

 -- Lunar <lunar@anargeek.net>  Tue,  6 Sep 2005 20:34:53 +0200

alternc (0.9.3) testing; urgency=low

  * Upstream update : many bugfixes, see the bugs related to
    http://mantis.alternc.org/view.php?id=246 for details

 -- Benjamin Sonntag <benjamin@alternc.org>  Wed, 10 Nov 2004 00:00:00 +0200

alternc (0.9.2-2) testing; urgency=low

  * Upstream update : many bugfixes (http://mantis.alternc.org)

 -- Benjamin Sonntag <benjamin@alternc.org>  Wed, 09 Sep 2004 23:04:26 +0200

alternc (0.9.2-1) testing; urgency=low

  * Upstream update

 -- Benjamin Sonntag <benjamin@alternc.org>  Fri, 27 Aug 2004 18:04:26 +0200

alternc (0.9.1-1) testing; urgency=low

  * Upstream update

 -- Benjamin Sonntag <benjamin@alternc.org>  Fri, 04 Jun 2004 19:31:26 +0200

alternc (0.9-1) testing; urgency=low

  * Initial Release.

 -- Benjamin Sonntag <benjamin@alternc.org>  Tue, 27 Aug 2002 19:31:26 +0200
